Bug 1416428 - Remove distribute and distribute-replicate from volume types combo box or replace the combo box with a label called 'Replicate'
Summary: Remove distribute and distribute-replicate from volume types combo box or re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-25 13:22 UTC by RamaKasturi
Modified: 2017-04-21 09:30 UTC (History)
3 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:30:25 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)
Attaching the screenshot for volumeTypes in cockpit dashboard (100.89 KB, image/png)
2017-03-08 10:20 UTC, RamaKasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71259 master MERGED gdeploy: remove distribute volume type 2017-01-27 13:36:14 UTC
oVirt gerrit 71758 ovirt-4.1 MERGED gdeploy: remove distribute volume type 2017-02-10 06:07:33 UTC

Description RamaKasturi 2017-01-25 13:22:18 UTC
Description of problem:
with the current version of ovirt-cockpit gdeploy plugin i see that volume types combox box lists distribute, distribute-replicate and replicate volumes. Remove distribute and distribute-replicate volumes as we only support 3 way replicate volumes with Hyperconverged Infrastructure using oVirt and Gluster

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install latest ovirt-cockpit gdeploy plugin
2. Login to the browser
3. Now try to select the volume Type combo box.

Actual results:
I see that volume types combo box has distribute and distribute replicate volumes as well.

Expected results:
Volume Types combo box should not contain distribute and distribute replicate volumes or replace the combo box with just a label  called "replicate".

Additional info:

Comment 1 Ramesh N 2017-01-26 13:06:51 UTC
I would prefer to keep the combo box and remove the types distribute and distribute replicate so that we can add difference volume types in future.

Comment 2 RamaKasturi 2017-03-08 10:20:04 UTC
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.13.el7.centos.noarch.

I see that distribute and distribute replicate volume types does not get listed in the volume Type combox box.

Comment 3 RamaKasturi 2017-03-08 10:20:39 UTC
Created attachment 1261191 [details]
Attaching the screenshot for volumeTypes in cockpit dashboard


Note You need to log in before you can comment on or make changes to this bug.